# fn() lowerBoundAlignedReads
Performs a binary lower bound search on read alignments.

Defined in | <seqan/store.h>
Signature | `TIter1 lowerBoundAlignedReads(alignStore, value, sortTag); TIter2 lowerBoundAlignedReads(itBegin, itEnd, value, sortTag);`

## Parameters

`alignStore` | The sequence of AlignedReadStoreElement to be searched, e.g. alignedReadStore.
`itBegin` | Iterator to the begin of the sequence to search.
`itEnd` | Iterator to the end of the sequence to search.
`value` | The value to search for.
`sortTag` | Tag for selecting the member to compare by. See SortAlignedReadTags.

## Return Values

`TIter1` | Iterator to the lower bound item. If `TAlignStore` is the type of `alignStore` then TIter1 is the result of `Iterator<TAlignStore, Standard>::Type`.
`TIter2` | Iterator to the lower bound item. Has the same type as `itBegin` and `itEnd`.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- SortAlignedReadTags
- sortAlignedReads
- upperBoundAlignedReads

#### Dox Sources

    /*!
     * @fn lowerBoundAlignedReads
     *
     * @headerfile <seqan/store.h>
     *
     * @brief Performs a binary lower bound search on read alignments.
     *
     * @signature TIter1 lowerBoundAlignedReads(alignStore, value, sortTag);
     * @signature TIter2 lowerBoundAlignedReads(itBegin, itEnd, value, sortTag);
     *
     * @param[in,out] alignStore The @link ContainerConcept sequence @endlink of
     *                           @link AlignedReadStoreElement @endlink to be
     *                           searched, e.g. @link
     *                           FragmentStore::alignedReadStore @endlink.
     * @param[in] itBegin Iterator to the begin of the sequence to search.
     * @param[in] itEnd Iterator to the end of the sequence to search.
     * @param[in] value The value to search for.
     * @param[in] sortTag Tag for selecting the member to compare by. See @link
     *                    SortAlignedReadTags @endlink.
     *
     * @return TIter1 Iterator to the lower bound item. If <tt>TAlignStore</tt> is
     *                the type of <tt>alignStore</tt> then TIter1 is the result of
     *                <tt>Iterator&lt;TAlignStore, Standard&gt;::Type</tt>.
     * @return TIter2 Iterator to the lower bound item. Has the same type as
     *                <tt>itBegin</tt> and <tt>itEnd</tt>.
     *
     * @see SortAlignedReadTags
     * @see sortAlignedReads
     * @see upperBoundAlignedReads
     */